### Function

# Msg InputStream send_async

#### Declaration [src]

    void
    msg_input_stream_send_async (
      GInputStream* stream,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

This function completes asynchronously. Use `msg_input_stream_send_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`stream`

  Type: `GInputStream`

  No description available.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  No description available.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.